> For the complete documentation index, see [llms.txt](https://docs.thewalletcrew.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thewalletcrew.io/api-reference/advanced/stores.md).

# Stores

## List stores for the tenant

> Returns every store defined in \`server/data/stores.yml\`, with full details.

```json
{"openapi":"3.1.1","info":{"title":"Neostore internal API","version":"v1"},"tags":[{"name":"Stores"}],"servers":[{"url":"https://app.neostore.cloud","description":"Production Server"},{"url":"https://app-qa.neostore.cloud","description":"Staging Server"}],"security":[{"admin-bearer":["tenant.configuration.dataStore:read"]},{"apiKey":[]}],"components":{"securitySchemes":{"admin-bearer":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.neostore.cloud/authorize?audience=https://app.neostore.cloud/api/","scopes":{}}}},"apiKey":{"type":"apiKey","name":"X-API-KEY","in":"header"}},"schemas":{"StoreDefinition":{"required":["latitude","longitude","storeId"],"type":"object","properties":{"storeId":{"type":"string","description":"Unique identifier of the store."},"displayName":{"type":["null","string"],"description":"Display name of the store."},"address":{"type":["null","string"],"description":"Postal address of the store."},"longitude":{"type":"number","description":"Longitude of the store in decimal value.","format":"double"},"latitude":{"type":"number","description":"Latitude of the store in decimal value.","format":"double"},"altitude":{"type":["null","integer"],"description":"Optional altitude of the store in meters.","format":"int32"},"availableLanguages":{"type":"array","items":{"type":"string"},"description":"List of ISO 639 language codes available for this store."},"advisors":{"type":"array","items":{"description":"Advisor assigned to a store.","$ref":"#/components/schemas/StoreAdvisorDefinition"},"description":"Advisors assigned to this store."},"additionalProperties":{"type":"object","additionalProperties":{},"description":"Any other additional values for this store."}},"additionalProperties":false,"description":"Full definition of a store, returned by list/get/create/update endpoints."},"StoreAdvisorDefinition":{"required":["advisorId","displayName"],"type":"object","properties":{"advisorId":{"type":"string","description":"Identifier of the advisor."},"displayName":{"type":"string","description":"Display name of the advisor."}},"additionalProperties":false,"description":"Advisor assigned to a store."}}},"paths":{"/api/{tenantId}/admin/stores":{"get":{"tags":["Stores"],"summary":"List stores for the tenant","description":"Returns every store defined in `server/data/stores.yml`, with full details.","parameters":[{"name":"tenantId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Stores returned.","content":{"text/plain":{"schema":{"type":"array","items":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}}},"application/json":{"schema":{"type":"array","items":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}}},"text/json":{"schema":{"type":"array","items":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}}}}}}}}}}
```

## Create a new store

> Adds a new physical store location to the tenant's store configuration.

```json
{"openapi":"3.1.1","info":{"title":"Neostore internal API","version":"v1"},"tags":[{"name":"Stores"}],"servers":[{"url":"https://app.neostore.cloud","description":"Production Server"},{"url":"https://app-qa.neostore.cloud","description":"Staging Server"}],"security":[{"admin-bearer":["tenant.configuration.dataStore:write"]},{"apiKey":[]}],"components":{"securitySchemes":{"admin-bearer":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.neostore.cloud/authorize?audience=https://app.neostore.cloud/api/","scopes":{}}}},"apiKey":{"type":"apiKey","name":"X-API-KEY","in":"header"}},"schemas":{"CreateStoreRequest":{"required":["latitude","longitude","storeId"],"type":"object","properties":{"storeId":{"minLength":1,"type":"string","description":"Unique identifier of the store. Only alphanumeric characters, hyphens, underscores and dots are allowed."},"displayName":{"type":["null","string"],"description":"Display name of the store."},"address":{"type":["null","string"],"description":"Postal address of the store."},"longitude":{"type":"number","description":"Longitude of the store in decimal value.","format":"double"},"latitude":{"type":"number","description":"Latitude of the store in decimal value.","format":"double"},"altitude":{"type":["null","integer"],"description":"Optional altitude of the store in meters.","format":"int32"},"availableLanguages":{"type":"array","items":{"type":"string"},"description":"List of ISO 639 language codes available for this store."},"advisors":{"type":"array","items":{"description":"Advisor assigned to a store, as submitted through a store write request.","$ref":"#/components/schemas/StoreAdvisorRequest"},"description":"Optional list of advisors of this store."},"additionalProperties":{"type":"object","additionalProperties":{},"description":"Any other additional values for this store."}},"additionalProperties":false,"description":"Request body to create a store."},"StoreAdvisorRequest":{"required":["advisorId","displayName"],"type":"object","properties":{"advisorId":{"minLength":1,"type":"string","description":"Identifier of the advisor."},"displayName":{"minLength":1,"type":"string","description":"Display name of the advisor."}},"additionalProperties":false,"description":"Advisor assigned to a store, as submitted through a store write request."},"StoreDefinition":{"required":["latitude","longitude","storeId"],"type":"object","properties":{"storeId":{"type":"string","description":"Unique identifier of the store."},"displayName":{"type":["null","string"],"description":"Display name of the store."},"address":{"type":["null","string"],"description":"Postal address of the store."},"longitude":{"type":"number","description":"Longitude of the store in decimal value.","format":"double"},"latitude":{"type":"number","description":"Latitude of the store in decimal value.","format":"double"},"altitude":{"type":["null","integer"],"description":"Optional altitude of the store in meters.","format":"int32"},"availableLanguages":{"type":"array","items":{"type":"string"},"description":"List of ISO 639 language codes available for this store."},"advisors":{"type":"array","items":{"description":"Advisor assigned to a store.","$ref":"#/components/schemas/StoreAdvisorDefinition"},"description":"Advisors assigned to this store."},"additionalProperties":{"type":"object","additionalProperties":{},"description":"Any other additional values for this store."}},"additionalProperties":false,"description":"Full definition of a store, returned by list/get/create/update endpoints."},"StoreAdvisorDefinition":{"required":["advisorId","displayName"],"type":"object","properties":{"advisorId":{"type":"string","description":"Identifier of the advisor."},"displayName":{"type":"string","description":"Display name of the advisor."}},"additionalProperties":false,"description":"Advisor assigned to a store."},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"type":["null","integer"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}},"additionalProperties":{}},"HttpValidationProblemDetails":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProblemDetails"}],"properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"additionalProperties":{}}}},"paths":{"/api/{tenantId}/admin/stores":{"post":{"tags":["Stores"],"summary":"Create a new store","description":"Adds a new physical store location to the tenant's store configuration.","parameters":[{"name":"tenantId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"description":"Request body to create a store.","$ref":"#/components/schemas/CreateStoreRequest"}},"text/json":{"schema":{"description":"Request body to create a store.","$ref":"#/components/schemas/CreateStoreRequest"}},"application/*+json":{"schema":{"description":"Request body to create a store.","$ref":"#/components/schemas/CreateStoreRequest"}}},"required":true},"responses":{"201":{"description":"Store created.","content":{"text/plain":{"schema":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}},"application/json":{"schema":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}},"text/json":{"schema":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}}}},"400":{"description":"Store identifier is invalid.","content":{"text/plain":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"text/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}},"409":{"description":"A store with this identifier already exists.","content":{"text/plain":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"text/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}}}}}}}
```

## Get a specific store

> Returns the full definition of the store identified by storeId.

```json
{"openapi":"3.1.1","info":{"title":"Neostore internal API","version":"v1"},"tags":[{"name":"Stores"}],"servers":[{"url":"https://app.neostore.cloud","description":"Production Server"},{"url":"https://app-qa.neostore.cloud","description":"Staging Server"}],"security":[{"admin-bearer":["tenant.configuration.dataStore:read"]},{"apiKey":[]}],"components":{"securitySchemes":{"admin-bearer":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.neostore.cloud/authorize?audience=https://app.neostore.cloud/api/","scopes":{}}}},"apiKey":{"type":"apiKey","name":"X-API-KEY","in":"header"}},"schemas":{"StoreDefinition":{"required":["latitude","longitude","storeId"],"type":"object","properties":{"storeId":{"type":"string","description":"Unique identifier of the store."},"displayName":{"type":["null","string"],"description":"Display name of the store."},"address":{"type":["null","string"],"description":"Postal address of the store."},"longitude":{"type":"number","description":"Longitude of the store in decimal value.","format":"double"},"latitude":{"type":"number","description":"Latitude of the store in decimal value.","format":"double"},"altitude":{"type":["null","integer"],"description":"Optional altitude of the store in meters.","format":"int32"},"availableLanguages":{"type":"array","items":{"type":"string"},"description":"List of ISO 639 language codes available for this store."},"advisors":{"type":"array","items":{"description":"Advisor assigned to a store.","$ref":"#/components/schemas/StoreAdvisorDefinition"},"description":"Advisors assigned to this store."},"additionalProperties":{"type":"object","additionalProperties":{},"description":"Any other additional values for this store."}},"additionalProperties":false,"description":"Full definition of a store, returned by list/get/create/update endpoints."},"StoreAdvisorDefinition":{"required":["advisorId","displayName"],"type":"object","properties":{"advisorId":{"type":"string","description":"Identifier of the advisor."},"displayName":{"type":"string","description":"Display name of the advisor."}},"additionalProperties":false,"description":"Advisor assigned to a store."},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"type":["null","integer"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}},"additionalProperties":{}},"HttpValidationProblemDetails":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProblemDetails"}],"properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"additionalProperties":{}}}},"paths":{"/api/{tenantId}/admin/stores/{storeId}":{"get":{"tags":["Stores"],"summary":"Get a specific store","description":"Returns the full definition of the store identified by storeId.","parameters":[{"name":"storeId","in":"path","required":true,"schema":{"type":"string"}},{"name":"tenantId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Store returned.","content":{"text/plain":{"schema":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}},"application/json":{"schema":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}},"text/json":{"schema":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}}}},"404":{"description":"Store not found.","content":{"text/plain":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"text/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}}}}}}}
```

## Update an existing store

> Replaces the store's fields. The store identifier cannot be changed.

```json
{"openapi":"3.1.1","info":{"title":"Neostore internal API","version":"v1"},"tags":[{"name":"Stores"}],"servers":[{"url":"https://app.neostore.cloud","description":"Production Server"},{"url":"https://app-qa.neostore.cloud","description":"Staging Server"}],"security":[{"admin-bearer":["tenant.configuration.dataStore:write"]},{"apiKey":[]}],"components":{"securitySchemes":{"admin-bearer":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.neostore.cloud/authorize?audience=https://app.neostore.cloud/api/","scopes":{}}}},"apiKey":{"type":"apiKey","name":"X-API-KEY","in":"header"}},"schemas":{"UpdateStoreRequest":{"required":["latitude","longitude"],"type":"object","properties":{"displayName":{"type":["null","string"],"description":"Display name of the store."},"address":{"type":["null","string"],"description":"Postal address of the store."},"longitude":{"type":"number","description":"Longitude of the store in decimal value.","format":"double"},"latitude":{"type":"number","description":"Latitude of the store in decimal value.","format":"double"},"altitude":{"type":["null","integer"],"description":"Optional altitude of the store in meters.","format":"int32"},"availableLanguages":{"type":"array","items":{"type":"string"},"description":"List of ISO 639 language codes available for this store."},"advisors":{"type":"array","items":{"description":"Advisor assigned to a store, as submitted through a store write request.","$ref":"#/components/schemas/StoreAdvisorRequest"},"description":"Optional list of advisors of this store."},"additionalProperties":{"type":"object","additionalProperties":{},"description":"Any other additional values for this store."}},"additionalProperties":false,"description":"Request body to update a store. Fully replaces the store's fields other than its identifier."},"StoreAdvisorRequest":{"required":["advisorId","displayName"],"type":"object","properties":{"advisorId":{"minLength":1,"type":"string","description":"Identifier of the advisor."},"displayName":{"minLength":1,"type":"string","description":"Display name of the advisor."}},"additionalProperties":false,"description":"Advisor assigned to a store, as submitted through a store write request."},"StoreDefinition":{"required":["latitude","longitude","storeId"],"type":"object","properties":{"storeId":{"type":"string","description":"Unique identifier of the store."},"displayName":{"type":["null","string"],"description":"Display name of the store."},"address":{"type":["null","string"],"description":"Postal address of the store."},"longitude":{"type":"number","description":"Longitude of the store in decimal value.","format":"double"},"latitude":{"type":"number","description":"Latitude of the store in decimal value.","format":"double"},"altitude":{"type":["null","integer"],"description":"Optional altitude of the store in meters.","format":"int32"},"availableLanguages":{"type":"array","items":{"type":"string"},"description":"List of ISO 639 language codes available for this store."},"advisors":{"type":"array","items":{"description":"Advisor assigned to a store.","$ref":"#/components/schemas/StoreAdvisorDefinition"},"description":"Advisors assigned to this store."},"additionalProperties":{"type":"object","additionalProperties":{},"description":"Any other additional values for this store."}},"additionalProperties":false,"description":"Full definition of a store, returned by list/get/create/update endpoints."},"StoreAdvisorDefinition":{"required":["advisorId","displayName"],"type":"object","properties":{"advisorId":{"type":"string","description":"Identifier of the advisor."},"displayName":{"type":"string","description":"Display name of the advisor."}},"additionalProperties":false,"description":"Advisor assigned to a store."},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"type":["null","integer"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}},"additionalProperties":{}},"HttpValidationProblemDetails":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProblemDetails"}],"properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"additionalProperties":{}}}},"paths":{"/api/{tenantId}/admin/stores/{storeId}":{"put":{"tags":["Stores"],"summary":"Update an existing store","description":"Replaces the store's fields. The store identifier cannot be changed.","parameters":[{"name":"storeId","in":"path","required":true,"schema":{"type":"string"}},{"name":"tenantId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"description":"Request body to update a store. Fully replaces the store's fields other than its identifier.","$ref":"#/components/schemas/UpdateStoreRequest"}},"text/json":{"schema":{"description":"Request body to update a store. Fully replaces the store's fields other than its identifier.","$ref":"#/components/schemas/UpdateStoreRequest"}},"application/*+json":{"schema":{"description":"Request body to update a store. Fully replaces the store's fields other than its identifier.","$ref":"#/components/schemas/UpdateStoreRequest"}}},"required":true},"responses":{"200":{"description":"Store updated.","content":{"text/plain":{"schema":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}},"application/json":{"schema":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}},"text/json":{"schema":{"description":"Full definition of a store, returned by list/get/create/update endpoints.","$ref":"#/components/schemas/StoreDefinition"}}}},"404":{"description":"Store not found.","content":{"text/plain":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"text/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}}}}}}}
```

## Delete a store

> Removes the store from the tenant's store configuration.

```json
{"openapi":"3.1.1","info":{"title":"Neostore internal API","version":"v1"},"tags":[{"name":"Stores"}],"servers":[{"url":"https://app.neostore.cloud","description":"Production Server"},{"url":"https://app-qa.neostore.cloud","description":"Staging Server"}],"security":[{"admin-bearer":["tenant.configuration.dataStore:write"]},{"apiKey":[]}],"components":{"securitySchemes":{"admin-bearer":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.neostore.cloud/authorize?audience=https://app.neostore.cloud/api/","scopes":{}}}},"apiKey":{"type":"apiKey","name":"X-API-KEY","in":"header"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"type":["null","integer"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}},"additionalProperties":{}},"HttpValidationProblemDetails":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProblemDetails"}],"properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"additionalProperties":{}}}},"paths":{"/api/{tenantId}/admin/stores/{storeId}":{"delete":{"tags":["Stores"],"summary":"Delete a store","description":"Removes the store from the tenant's store configuration.","parameters":[{"name":"storeId","in":"path","required":true,"schema":{"type":"string"}},{"name":"tenantId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Store deleted."},"404":{"description":"Store not found.","content":{"text/plain":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"text/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thewalletcrew.io/api-reference/advanced/stores.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
